Package htsjdk.variant.vcf

# Class VCFPassThruTextTransformer

java.lang.Object
htsjdk.variant.vcf.VCFPassThruTextTransformer

All Implemented Interfaces:
  `VCFTextTransformer`

public class VCFPassThruTextTransformer extends Object implements VCFTextTransformer
A no-op implementation of VCFTextTransformer for pre-v43 VCFs, when such encodings are not supported and no transformation need be done.

## Constructor Summary

Constructors
Constructor
Description
`VCFPassThruTextTransformer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`decodeText(String rawPart)`
No-op decoder for a single string
`List<String>`
`decodeText(List<String> rawParts)`
No-op decoder for lists of strings

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VCFPassThruTextTransformer

public VCFPassThruTextTransformer()

## Method Details

### decodeText

public String decodeText(String rawPart)
No-op decoder for a single string

Specified by:
  `decodeText` in interface `VCFTextTransformer`
Parameters:
  `rawPart` - the raw string to be decoded
Returns:
  the raw string with no transformation done

### decodeText

public List<String> decodeText(List<String> rawParts)
No-op decoder for lists of strings

Specified by:
  `decodeText` in interface `VCFTextTransformer`
Parameters:
  `rawParts` - a list of raw strings
Returns:
  the list of raw strings with no transformations done